TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
TIBCO.EMS.LdapLookupConsts Class Reference

Specifies the parameters used to connect to a third-party LDAP server and lookup EMS administered objects. More...

## Public Attributes
const String | LDAP_SERVER_URL = "TIBCO.EMS.ldap_server_url"
| Use this property name to specify the url to connect to the LDAP server. More...
const String | LDAP_BASE_DN = "TIBCO.EMS.ldap_base_dn"
| Specifies the base dn, i.e where to start looking for the administered objects. More...
const String | LDAP_PRINCIPAL = "TIBCO.EMS.ldap_principal"
| Use this property name to specify the principal (i.e the user name) to use while connecting to the ldap server. More...
const String | LDAP_CREDENTIAL = "TIBCO.EMS.ldap_credential"
| Use this property name to specify the credential (i.e the password) to use while connecting to the ldap server. More...
const String | LDAP_SEARCH_SCOPE = "TIBCO.EMS.ldap_search_scope"
| Use this property name to specify the search scope. Acceptable values are "subtree" (the default) and "onelevel." More...
const String | LDAP_CONN_TYPE = "TIBCO.EMS.ldap_conn_type"
| Use this property name to specify connection type. Aacceptable values are "ldap" (the default) and "ldaps." More...
const String | LDAP_CERT_NAME = "TIBCO.EMS.ldap_cert_name"
| Use this property name to specify certificate name to lookup in the store name at the store location. More...
const String | LDAP_CERT_STORE_NAME = "TIBCO.EMS.ldap_cert_store_name"
| Use this property name to specify store name. The default is "My" (i.e personel) store at the "currentuser" location. More...
const String | LDAP_CERT_STORE_LOCATION = "TIBCO.EMS.ldap_cert_store_location"
| Use this property to specify store location. Acceptable values are "currentuser" (the default) and "localmachine." More...
const String | LDAP_SSL_PARAMS = "TIBCO.EMS.ldap_ssl_params"
| Use this property to specify other ssl parameters namely LdapLookupSSLParams.SetSSLQueryClientCertificateCallback and LdapLookupSSLParams.SetSSLVerifyServerCertifeCallback. More...
const String | LDAP_AUTH_TYPE = "TIBCO.EMS.ldap_auth_type"
| Use this property to specify the auth type, this value gets used when an ldap connection is being established. supported values are '0' for Anonumous AuthType) and '1' for Basic Authype. (Default AuthType is set to Basic). More...
const String | LDAP_PROTOCOL_VERSION = "TIBCO.EMS.ldap_protocol_version"
| Use this property to specify the protocol version for the ldap connection's session options. The values for protocol version can be either 2 or 3. More...

## Detailed Description

Specifies the parameters used to connect to a third-party LDAP server and lookup EMS administered objects.

The LDAP Lookup Constants are mainly to specify parameters to connect to an LDAP server and specify search scope with the LDAP server for looking up EMS administered objects.

See LookupContext for the parameters used looking up administered objects in the EMS server.

## Member Data Documentation

const String TIBCO.EMS.LdapLookupConsts.LDAP_AUTH_TYPE = "TIBCO.EMS.ldap_auth_type"

Use this property to specify the auth type, this value gets used when an ldap connection is being established. supported values are '0' for Anonumous AuthType) and '1' for Basic Authype. (Default AuthType is set to Basic).

For more information regarding AuthType, please see http://msdn2.microsoft.com/en-us/library/system.directoryservices.protocols.authtype.aspx

table.Add(LdapLookupConsts.LDAP_AUTH_TYPE, 1);

const String TIBCO.EMS.LdapLookupConsts.LDAP_BASE_DN = "TIBCO.EMS.ldap_base_dn"

Specifies the base dn, i.e where to start looking for the administered objects.

`table.Add(LdapLookupConsts.LDAP_BASE_DN, "ou=people,dc=test-user");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_CERT_NAME = "TIBCO.EMS.ldap_cert_name"

Use this property name to specify certificate name to lookup in the store name at the store location.

Note: This is required property when the LDAP_CONN_TYPE of ldaps is used and LDAP_SSL_PARAMS is not specified with a LdapLookupSSLParams.SetSSLQueryClientCertificateCallback method.

`table.Add(LdapLookupConsts.LDAP_CERT_NAME, "cn=client_cert");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_CERT_STORE_LOCATION = "TIBCO.EMS.ldap_cert_store_location"

Use this property to specify store location. Acceptable values are "currentuser" (the default) and "localmachine."

`table.Add(LdapLookupConsts.LDAP_CERT_STORE_LOCATION, "currentuser");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_CERT_STORE_NAME = "TIBCO.EMS.ldap_cert_store_name"

Use this property name to specify store name. The default is "My" (i.e personel) store at the "currentuser" location.

`table.Add(LdapLookupConsts.LDAP_CERT_STORE_NAME, "My");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_CONN_TYPE = "TIBCO.EMS.ldap_conn_type"

Use this property name to specify connection type. Aacceptable values are "ldap" (the default) and "ldaps."

Note: If 'ldaps' is specified for the connection type then the other required ssl paramaters also need to be specified.

table.Add(LdapLookupConsts.LDAP_CONN_TYPE, "ldaps");

const String TIBCO.EMS.LdapLookupConsts.LDAP_CREDENTIAL = "TIBCO.EMS.ldap_credential"

Use this property name to specify the credential (i.e the password) to use while connecting to the ldap server.

`table.Add(LdapLookupConsts.LDAP_CREDENTIAL, "password");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_PRINCIPAL = "TIBCO.EMS.ldap_principal"

Use this property name to specify the principal (i.e the user name) to use while connecting to the ldap server.

`table.Add(LdapLookupConsts.LDAP_PRINCIPAL, "cn=Manager");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_PROTOCOL_VERSION = "TIBCO.EMS.ldap_protocol_version"

Use this property to specify the protocol version for the ldap connection's session options. The values for protocol version can be either 2 or 3.

For more information regarding protocol version, please see http://msdn2.microsoft.com/en-us/library/system.directoryservices.protocols.ldapsessionoptions.protocolversion.aspx

table.Add(LdapLookupConsts.LDAP_PROTOCOL_VERSION, 2);

const String TIBCO.EMS.LdapLookupConsts.LDAP_SEARCH_SCOPE = "TIBCO.EMS.ldap_search_scope"

Use this property name to specify the search scope. Acceptable values are "subtree" (the default) and "onelevel."

`table.Add(LdapLookupConsts.LDAP_SEARCH_SCOPE, "subtree");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_SERVER_URL = "TIBCO.EMS.ldap_server_url"

Use this property name to specify the url to connect to the LDAP server.

`table.Add(LdapLookupConsts.LDAP_SERVER_URL, "adc1.na.tibco.com:10389");`

const String TIBCO.EMS.LdapLookupConsts.LDAP_SSL_PARAMS = "TIBCO.EMS.ldap_ssl_params"

Use this property to specify other ssl parameters namely LdapLookupSSLParams.SetSSLQueryClientCertificateCallback and LdapLookupSSLParams.SetSSLVerifyServerCertifeCallback.

Note: If LDAP_SSL_PARAMS is specified with a valid query client certificate callback and also the certificate store location and store name along with the certificate name are specified then store location, store name, certificate name takes precedence and query client certificate callback is ignored.

LdapLookupSSLParams sslparams = new LdapLookupSSLParams();
table.Add(LdapLookupConsts.LDAP_SSL_PARAMS, sslparams);